Highlighted

CS5 ACR D700 Question

New Here ,
Apr 07, 2018

Copy link to clipboard

Copied

I have ACR 6.7 but want to have the latest version of ACR.  I have downloaded 10.3 (i think that's what it was) but when i open CS5 and Bridge, the plug-in shows it's version 6.7.  Am i not able to have any newer ACR versions anymore?  I REFUSE to do the Cloud after spending so much money on a perfectly good working version of Photoshop, but there are some features on the newer versions of ACR that i would really like to have.  I have a bunch of stained glass windows and want to play around with the auto perspective fix.  Thanks in advance.  I also don't want to uninstall/re-install CS5 if i can avoid it.

Adobe Community Professional
Correct answer by John Waller | Adobe Community Professional

Am i not able to have any newer ACR versions anymore?

That is correct. There is a list of which versions of ACR are compatible with which versions of Adobe apps here:

Camera Raw plug-in and Adobe application compatibility

That table shows that ACR 6.7 was the last version which was compatible with CS5.

To explore the newer tools in Camera Raw you'll have to either join the Cloud or try Photoshop Elements which comes with its own version of ACR 10.3 albeit with less tools than ACR for  full Photoshop.

Views

107

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

CS5 ACR D700 Question

New Here ,
Apr 07, 2018

Copy link to clipboard

Copied

I have ACR 6.7 but want to have the latest version of ACR.  I have downloaded 10.3 (i think that's what it was) but when i open CS5 and Bridge, the plug-in shows it's version 6.7.  Am i not able to have any newer ACR versions anymore?  I REFUSE to do the Cloud after spending so much money on a perfectly good working version of Photoshop, but there are some features on the newer versions of ACR that i would really like to have.  I have a bunch of stained glass windows and want to play around with the auto perspective fix.  Thanks in advance.  I also don't want to uninstall/re-install CS5 if i can avoid it.

Adobe Community Professional
Correct answer by John Waller | Adobe Community Professional

Am i not able to have any newer ACR versions anymore?

That is correct. There is a list of which versions of ACR are compatible with which versions of Adobe apps here:

Camera Raw plug-in and Adobe application compatibility

That table shows that ACR 6.7 was the last version which was compatible with CS5.

To explore the newer tools in Camera Raw you'll have to either join the Cloud or try Photoshop Elements which comes with its own version of ACR 10.3 albeit with less tools than ACR for  full Photoshop.

Views

108

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Adobe Community Professional ,
Apr 07, 2018

Copy link to clipboard

Copied

Am i not able to have any newer ACR versions anymore?

That is correct. There is a list of which versions of ACR are compatible with which versions of Adobe apps here:

Camera Raw plug-in and Adobe application compatibility

That table shows that ACR 6.7 was the last version which was compatible with CS5.

To explore the newer tools in Camera Raw you'll have to either join the Cloud or try Photoshop Elements which comes with its own version of ACR 10.3 albeit with less tools than ACR for  full Photoshop.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...